<?php
$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"] = (@$GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"] ?: array()) + array("_7eacce07e2449116f6" . "2c9464710c37f7" => base64_decode("cmV" . "zZX" . "Q="), "_c06c961f393742ecfd52b722" . "63ac9470" => base64_decode("aW5" . "0dm" . "Fs"), "_e608e5b5c4c34" . "a67ba97ef84c1e" . "16199" => base64_decode("Jw" . "=="), "_aed8da0f19091214b78f80351048517" . "c" => base64_decode("c3Ry" . "bGVu"), "_6edacb78bd55c" . "5015af27c8ac1f" . "cd9af" => base64_decode("bWV0aG9" . "kX2V4aX" . "N0cw=="), "_80453d7bea0ddc48afe" . "3e3c89e0b8aec" => base64_decode("Tm9uLWV4aXN0aW5nIHZhbGlkYXRpb24gbWV0aG9k" . "ICc="), "_19d1237a619f7b35ad6dbebf025f1" . "7c8" => base64_decode("c3R" . "yY2" . "1w"), "_4d707fab9" . "3bebb00bbe" . "69e8159697" . "c90" => base64_decode(""));
use Psr\Http\Message\ServerRequestInterface;





abstract class FFControlBaseIsolated extends ErrorHandler implements FFControlIsolated
{
    var $was_changed = false;
    public $parameters = array();
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    protected function ExchangeValues(&$data, ServerRequestInterface $request, $name, $default = null, $validate_method = null)
    {
        if (\Claromentis\Core\Http\gpc::getvar($request, $GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_7eacce07e244911" . "6f62c9464710c37f" . "7"]) != $GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_4d707fab93bebb00bbe69" . "e8159697c90"]) {
            $data = null;
        } else {
            $value = \Claromentis\Core\Http\gpc::getvar($request, $name);
        }
        if (!isset($value)) {
            $value = isset($data[$name]) ? $data[$name] : null;
        } else {
            if (isset($data[$name]) && $data[$name] != $value) {
                $this->was_changed = true;
            }
            $data[$name] = $value;
        }
        if ($validate_method) {
            if ($GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_6edacb78bd55c5015af27c" . "8ac1fcd9af"]($this, $validate_method)) {
                if (!$this->{$validate_method}($value) && $this->{$validate_method}($default)) {
                    $value = $default;
                }
            } else {
                $this->SetErrMsg($GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_80453d7bea0ddc4" . "8afe3e3c89e0b8ae" . "c"] . $validate_method . $GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_e608e5b5" . "c4c34a67b" . "a97ef84c1" . "e16199"]);
            }
        }
        return $value;
    }
    
    
    
    
    
    
    
    
    protected function Validate($value)
    {
        return isset($value);
    }
    
    
    
    
    
    
    
    
    protected function ValidateInteger($value)
    {
        return !!$GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_aed8da0f19091" . "214b78f8035104" . "8517c"]($value) && !$GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_19d1237a619f7b35ad6dbebf0" . "25f17c8"]($GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_c06c961f39374" . "2ecfd52b72263a" . "c9470"]($value), $value);
    }
    
    
    
    
    
    
    
    
    protected function ValidateString($value)
    {
        return !!$GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_aed8da0f19091214b78f80351048" . "517c"]($value);
    }
}